( cd usr/lib64 ; rm -rf libgksu-polkit.so.0 )
( cd usr/lib64 ; ln -sf libgksu-polkit.so.0.0.1 libgksu-polkit.so.0 )
( cd usr/lib64 ; rm -rf libgksu-polkit.so )
( cd usr/lib64 ; ln -sf libgksu-polkit.so.0.0.1 libgksu-polkit.so )
( cd usr/bin ; rm -rf gksu )
( cd usr/bin ; ln -sf gksu-polkit gksu )

# Preserve new configuration files
install_file() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

install_file etc/dbus-1/system.d/gksu-polkit.conf.new
